Get all trigger types for automation blocks Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/automation-blocks/triggers

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • type string
      • name string
      • description string
      • returns object
        Hide returns attribute Show returns attribute object
        • client array[string]
      • configParams object
        Hide configParams attribute Show configParams attribute object
        • client array[string]
GET /api/v1/automation-blocks/triggers
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/automation-blocks/triggers' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    [
      {
        "type": "client.created",
        "name": "Run at a specific date",
        "description": "Trigger an automation on a specific date",
        "returns": {
          "client": [
            "title",
            "value",
            "next_review_date",
            "previous_review_date",
            "anniversary_review_date",
            "terms_of_business_at",
            "client_agreement_at",
            "checked_sanctions_at",
            "lead_source",
            "first_contact_date",
            "gender",
            "date_of_birth",
            "target_retirement_age",
            "smoker_status",
            "residential_status",
            "country_of_residence",
            "marital_status",
            "is_prospect",
            "is_vulnerable",
            "is_uk_resident",
            "is_uk_domicile",
            "expected_retirement_age",
            "state_retirement_age",
            "third_party_offered",
            "current_state_of_health",
            "long_term_care_needed",
            "has_will",
            "will_last_reviewed",
            "has_power_of_attorney",
            "units_of_alcohol_weekly",
            "has_gifted_family",
            "is_anticipating_inheritance",
            "is_in_receipt_of_your_state_pension",
            "has_obtained_a_forecast",
            "date_of_forecast",
            "years_of_national_insurance_contributions",
            "date_of_marriage",
            "is_deceased",
            "deceased_at"
          ]
        },
        "configParams": {
          "client": [
            "title",
            "value",
            "next_review_date",
            "previous_review_date",
            "anniversary_review_date",
            "terms_of_business_at",
            "client_agreement_at",
            "checked_sanctions_at",
            "lead_source",
            "first_contact_date",
            "gender",
            "date_of_birth",
            "target_retirement_age",
            "smoker_status",
            "residential_status",
            "country_of_residence",
            "marital_status",
            "is_prospect",
            "is_vulnerable",
            "is_uk_resident",
            "is_uk_domicile",
            "expected_retirement_age",
            "state_retirement_age",
            "third_party_offered",
            "current_state_of_health",
            "long_term_care_needed",
            "has_will",
            "will_last_reviewed",
            "has_power_of_attorney",
            "units_of_alcohol_weekly",
            "has_gifted_family",
            "is_anticipating_inheritance",
            "is_in_receipt_of_your_state_pension",
            "has_obtained_a_forecast",
            "date_of_forecast",
            "years_of_national_insurance_contributions",
            "date_of_marriage",
            "is_deceased",
            "deceased_at"
          ]
        }
      }
    ]
  ]
}